diff --git a/gcc/config/rs6000/rs6000.c b/gcc/config/rs6000/rs6000.c
index 036a2af..14f8c18 100644
--- a/gcc/config/rs6000/rs6000.c
+++ b/gcc/config/rs6000/rs6000.c
@@ -7091,7 +7091,7 @@ rs6000_legitimize_tls_address (rtx addr, enum tls_model model)
 	    gcc_unreachable ();
 	  call_insn = last_call_insn ();
 	  PATTERN (call_insn) = insn;
-	  if (DEFAULT_ABI == ABI_V4 && TARGET_SECURE_PLT && flag_pic)
+	  if (DEFAULT_ABI == ABI_V4 && TARGET_SECURE_PLT && GCC_OPTION (flag_pic))
 	    use_reg (&CALL_INSN_FUNCTION_USAGE (call_insn),
 		     pic_offset_table_rtx);
 	}
@@ -7116,18 +7116,18 @@ rs6000_legitimize_tls_address (rtx addr, enum tls_model model)
 	    gcc_unreachable ();
 	  call_insn = last_call_insn ();
 	  PATTERN (call_insn) = insn;
-	  if (DEFAULT_ABI == ABI_V4 && TARGET_SECURE_PLT && flag_pic)
+	  if (DEFAULT_ABI == ABI_V4 && TARGET_SECURE_PLT && GCC_OPTION (flag_pic))
 	    use_reg (&CALL_INSN_FUNCTION_USAGE (call_insn),
 		     pic_offset_table_rtx);
 
-	  if (rs6000_tls_size == 16)
+	  if (GCC_OPTION (rs6000_tls_size) == 16)
 	    {
 	      if (TARGET_64BIT)
 		insn = gen_tls_dtprel_64 (dest, tmp1, addr);
 	      else
 		insn = gen_tls_dtprel_32 (dest, tmp1, addr);
 	    }
-	  else if (rs6000_tls_size == 32)
+	  else if (GCC_OPTION (rs6000_tls_size) == 32)
 	    {
 	      tmp2 = gen_reg_rtx (Pmode);
 	      if (TARGET_64BIT)
@@ -7281,7 +7281,7 @@ rs6000_legitimize_reload_address (rtx x, enum machine_mode mode,
     }
 
 #if TARGET_MACHO
-  if (DEFAULT_ABI == ABI_DARWIN && flag_pic
+  if (DEFAULT_ABI == ABI_DARWIN && GCC_OPTION (flag_pic)
       && GET_CODE (x) == LO_SUM
       && GET_CODE (XEXP (x, 0)) == PLUS
       && XEXP (XEXP (x, 0), 0) == pic_offset_table_rtx
@@ -7355,11 +7355,11 @@ rs6000_legitimize_reload_address (rtx x, enum machine_mode mode,
       && !SPE_VECTOR_MODE (mode)
 #if TARGET_MACHO
       && DEFAULT_ABI == ABI_DARWIN
-      && (flag_pic || MACHO_DYNAMIC_NO_PIC_P)
+      && (GCC_OPTION (flag_pic) || MACHO_DYNAMIC_NO_PIC_P)
       && machopic_symbol_defined_p (x)
 #else
       && DEFAULT_ABI == ABI_V4
-      && !flag_pic
+      && !GCC_OPTION (flag_pic)
 #endif
       /* Don't do this for TFmode or TDmode, since the result isn't offsettable.
 	 The same goes for DImode without 64-bit gprs and DFmode and DDmode
@@ -7384,7 +7384,7 @@ rs6000_legitimize_reload_address (rtx x, enum machine_mode mode,
 	  || (TARGET_HARD_FLOAT && TARGET_FPRS && TARGET_DOUBLE_FLOAT)))
     {
 #if TARGET_MACHO
-      if (flag_pic)
+      if (GCC_OPTION (flag_pic))
 	{
 	  rtx offset = machopic_gen_offset (x);
 	  x = gen_rtx_LO_SUM (GET_MODE (x),
@@ -7741,12 +7741,12 @@ rs6000_conditional_register_usage (void)
 
   if (DEFAULT_ABI == ABI_V4
       && PIC_OFFSET_TABLE_REGNUM != INVALID_REGNUM
-      && flag_pic == 2)
+      && GCC_OPTION (flag_pic) == 2)
     fixed_regs[RS6000_PIC_OFFSET_TABLE_REGNUM] = 1;
 
   if (DEFAULT_ABI == ABI_V4
       && PIC_OFFSET_TABLE_REGNUM != INVALID_REGNUM
-      && flag_pic == 1)
+      && GCC_OPTION (flag_pic) == 1)
     fixed_regs[RS6000_PIC_OFFSET_TABLE_REGNUM]
       = call_used_regs[RS6000_PIC_OFFSET_TABLE_REGNUM]
       = call_really_used_regs[RS6000_PIC_OFFSET_TABLE_REGNUM] = 1;
@@ -8116,7 +8116,7 @@ rs6000_emit_move (rtx dest, rtx source, enum machine_mode mode)
   operands[0] = dest;
   operands[1] = source;
 
-  if (TARGET_DEBUG_ADDR)
+  if (GCC_OPTION (TARGET_DEBUG_ADDR))
     {
       fprintf (stderr,
 	       "\nrs6000_emit_move: mode = %s, reload_in_progress = %d, "
@@ -8397,7 +8397,7 @@ rs6000_emit_move (rtx dest, rtx source, enum machine_mode mode)
 
       if (DEFAULT_ABI == ABI_V4
 	  && mode == Pmode && mode == SImode
-	  && flag_pic == 1 && got_operand (operands[1], mode))
+	  && GCC_OPTION (flag_pic) == 1 && got_operand (operands[1], mode))
 	{
 	  emit_insn (gen_movsi_got (operands[0], operands[1]));
 	  return;
@@ -8405,7 +8405,7 @@ rs6000_emit_move (rtx dest, rtx source, enum machine_mode mode)
 
       if ((TARGET_ELF || DEFAULT_ABI == ABI_DARWIN)
 	  && TARGET_NO_TOC
-	  && ! flag_pic
+	  && ! GCC_OPTION (flag_pic)
 	  && mode == Pmode
 	  && CONSTANT_P (operands[1])
 	  && GET_CODE (operands[1]) != HIGH
@@ -8500,7 +8500,7 @@ rs6000_emit_move (rtx dest, rtx source, enum machine_mode mode)
 	     just put the symbol in the TOC and add the constant.  Don't do
 	     this if reload is in progress.  */
 	  if (GET_CODE (operands[1]) == CONST
-	      && TARGET_NO_SUM_IN_TOC && ! reload_in_progress
+	      && GCC_OPTION (TARGET_NO_SUM_IN_TOC) && ! reload_in_progress
 	      && GET_CODE (XEXP (operands[1], 0)) == PLUS
 	      && add_operand (XEXP (XEXP (operands[1], 0), 1), mode)
 	      && (GET_CODE (XEXP (XEXP (operands[1], 0), 0)) == LABEL_REF
@@ -8836,7 +8836,7 @@ rs6000_return_in_memory (const_tree type, const_tree fntype ATTRIBUTE_UNUSED)
 {
   /* For the Darwin64 ABI, test if we can fit the return value in regs.  */
   if (TARGET_MACHO
-      && rs6000_darwin64_abi
+      && GCC_OPTION (rs6000_darwin64_abi)
       && TREE_CODE (type) == RECORD_TYPE
       && int_size_in_bytes (type) > 0)
     {
@@ -8865,7 +8865,7 @@ rs6000_return_in_memory (const_tree type, const_tree fntype ATTRIBUTE_UNUSED)
     return false;
 
   if (AGGREGATE_TYPE_P (type)
-      && (aix_struct_return
+      && (GCC_OPTION (aix_struct_return)
 	  || (unsigned HOST_WIDE_INT) int_size_in_bytes (type) > 8))
     return true;
 
@@ -8967,13 +8967,13 @@ init_cumulative_args (CUMULATIVE_ARGS *cum, tree fntype,
     cum->nargs_prototype = n_named_args;
 
   /* Check for a longcall attribute.  */
-  if ((!fntype && rs6000_default_long_calls)
+  if ((!fntype && GCC_OPTION (rs6000_default_long_calls))
       || (fntype
 	  && lookup_attribute ("longcall", TYPE_ATTRIBUTES (fntype))
 	  && !lookup_attribute ("shortcall", TYPE_ATTRIBUTES (fntype))))
     cum->call_cookie |= CALL_LONG;
 
-  if (TARGET_DEBUG_ARG)
+  if (GCC_OPTION (TARGET_DEBUG_ARG))
     {
       fprintf (stderr, "\ninit_cumulative_args:");
       if (fntype)
@@ -9145,9 +9145,9 @@ rs6000_function_arg_boundary (enum machine_mode mode, const_tree type)
 	   || (type && TREE_CODE (type) == VECTOR_TYPE
 	       && int_size_in_bytes (type) >= 16))
     return 128;
-  else if (((TARGET_MACHO && rs6000_darwin64_abi)
+  else if (((TARGET_MACHO && GCC_OPTION (rs6000_darwin64_abi))
 	    || DEFAULT_ABI == ABI_ELFv2
-            || (DEFAULT_ABI == ABI_AIX && !rs6000_compat_align_parm))
+            || (DEFAULT_ABI == ABI_AIX && !GCC_OPTION (rs6000_compat_align_parm)))
  	   && mode == BLKmode
 	   && type && TYPE_ALIGN (type) > 64)
     return 128;
@@ -9340,7 +9340,7 @@ rs6000_darwin64_record_arg_advance_recurse (CUMULATIVE_ARGS *cum,
 static int
 rs6000_darwin64_struct_check_p (enum machine_mode mode, const_tree type)
 {
-  return rs6000_darwin64_abi
+  return GCC_OPTION (rs6000_darwin64_abi)
 	 && ((mode == BLKmode 
 	      && TREE_CODE (type) == RECORD_TYPE 
 	      && int_size_in_bytes (type) > 0)
@@ -9426,7 +9426,7 @@ rs6000_function_arg_advance_1 (CUMULATIVE_ARGS *cum, enum machine_mode mode,
 	    align = cum->words & 1;
 	  cum->words += align + rs6000_arg_size (mode, type);
 
-	  if (TARGET_DEBUG_ARG)
+	  if (GCC_OPTION (TARGET_DEBUG_ARG))
 	    {
 	      fprintf (stderr, "function_adv: words = %2d, align=%d, ",
 		       cum->words, align);
@@ -9465,7 +9465,7 @@ rs6000_function_arg_advance_1 (CUMULATIVE_ARGS *cum, enum machine_mode mode,
 	  rs6000_darwin64_record_arg_advance_flush (cum,
 						    size * BITS_PER_UNIT, 1);
 	}
-	  if (TARGET_DEBUG_ARG)
+	  if (GCC_OPTION (TARGET_DEBUG_ARG))
 	    {
 	      fprintf (stderr, "function_adv: words = %2d, align=%d, size=%d",
 		       cum->words, TYPE_ALIGN (type), size);
@@ -9528,7 +9528,7 @@ rs6000_function_arg_advance_1 (CUMULATIVE_ARGS *cum, enum machine_mode mode,
 	  cum->sysv_gregno = gregno + n_words;
 	}
 
-      if (TARGET_DEBUG_ARG)
+      if (GCC_OPTION (TARGET_DEBUG_ARG))
 	{
 	  fprintf (stderr, "function_adv: words = %2d, fregno = %2d, ",
 		   cum->words, cum->fregno);
@@ -9557,7 +9557,7 @@ rs6000_function_arg_advance_1 (CUMULATIVE_ARGS *cum, enum machine_mode mode,
 	  cum->fregno += n_elts * ((GET_MODE_SIZE (elt_mode) + 7) >> 3);
 	}
 
-      if (TARGET_DEBUG_ARG)
+      if (GCC_OPTION (TARGET_DEBUG_ARG))
 	{
 	  fprintf (stderr, "function_adv: words = %2d, fregno = %2d, ",
 		   cum->words, cum->fregno);
@@ -10195,7 +10195,7 @@ rs6000_function_arg (cumulative_args_t cum_v, enum machine_mode mode,
 	     save area?  */
 	  if (type && (cum->nargs_prototype <= 0
 		       || ((DEFAULT_ABI == ABI_AIX || DEFAULT_ABI == ABI_ELFv2)
-			   && TARGET_XL_COMPAT
+			   && GCC_OPTION (TARGET_XL_COMPAT)
 			   && align_words >= GP_ARG_NUM_REG)))
 	    k = rs6000_psave_function_arg (mode, type, align_words, rvec);
 
@@ -10286,7 +10286,7 @@ rs6000_arg_partial_bytes (cumulative_args_t cum_v, enum machine_mode mode,
       if (type
 	  && (cum->nargs_prototype <= 0
 	      || ((DEFAULT_ABI == ABI_AIX || DEFAULT_ABI == ABI_ELFv2)
-		  && TARGET_XL_COMPAT
+		  && GCC_OPTION (TARGET_XL_COMPAT)
 		  && align_words >= GP_ARG_NUM_REG)))
 	return 0;
 
@@ -10302,7 +10302,7 @@ rs6000_arg_partial_bytes (cumulative_args_t cum_v, enum machine_mode mode,
       && GP_ARG_NUM_REG < align_words + rs6000_arg_size (mode, type))
     ret = (GP_ARG_NUM_REG - align_words) * (TARGET_32BIT ? 4 : 8);
 
-  if (ret != 0 && TARGET_DEBUG_ARG)
+  if (ret != 0 && GCC_OPTION (TARGET_DEBUG_ARG))
     fprintf (stderr, "rs6000_arg_partial_bytes: %d\n", ret);
 
   return ret;
@@ -10329,7 +10329,7 @@ rs6000_pass_by_reference (cumulative_args_t cum ATTRIBUTE_UNUSED,
 {
   if (DEFAULT_ABI == ABI_V4 && TARGET_IEEEQUAD && mode == TFmode)
     {
-      if (TARGET_DEBUG_ARG)
+      if (GCC_OPTION (TARGET_DEBUG_ARG))
 	fprintf (stderr, "function_arg_pass_by_reference: V4 long double\n");
       return 1;
     }
@@ -10339,14 +10339,14 @@ rs6000_pass_by_reference (cumulative_args_t cum ATTRIBUTE_UNUSED,
 
   if (DEFAULT_ABI == ABI_V4 && AGGREGATE_TYPE_P (type))
     {
-      if (TARGET_DEBUG_ARG)
+      if (GCC_OPTION (TARGET_DEBUG_ARG))
 	fprintf (stderr, "function_arg_pass_by_reference: V4 aggregate\n");
       return 1;
     }
 
   if (int_size_in_bytes (type) < 0)
     {
-      if (TARGET_DEBUG_ARG)
+      if (GCC_OPTION (TARGET_DEBUG_ARG))
 	fprintf (stderr, "function_arg_pass_by_reference: variable size\n");
       return 1;
     }
@@ -10355,7 +10355,7 @@ rs6000_pass_by_reference (cumulative_args_t cum ATTRIBUTE_UNUSED,
      modes only exist for GCC vector types if -maltivec.  */
   if (TARGET_32BIT && !TARGET_ALTIVEC_ABI && ALTIVEC_VECTOR_MODE (mode))
     {
-      if (TARGET_DEBUG_ARG)
+      if (GCC_OPTION (TARGET_DEBUG_ARG))
 	fprintf (stderr, "function_arg_pass_by_reference: AltiVec\n");
       return 1;
     }
@@ -10365,7 +10365,7 @@ rs6000_pass_by_reference (cumulative_args_t cum ATTRIBUTE_UNUSED,
       && int_size_in_bytes (type) > (TARGET_ALTIVEC_ABI ? 16 : 8))
     {
       static bool warned_for_pass_big_vectors = false;
-      if (TARGET_DEBUG_ARG)
+      if (GCC_OPTION (TARGET_DEBUG_ARG))
 	fprintf (stderr, "function_arg_pass_by_reference: synthetic vector\n");
       if (!warned_for_pass_big_vectors)
 	{
@@ -10808,7 +10808,7 @@ rs6000_va_start (tree valist, rtx nextarg)
   n_fpr = MIN (crtl->args.info.fregno - FP_ARG_MIN_REG,
 	       FP_ARG_NUM_REG);
 
-  if (TARGET_DEBUG_ARG)
+  if (GCC_OPTION (TARGET_DEBUG_ARG))
     fprintf (stderr, "va_start: words = "HOST_WIDE_INT_PRINT_DEC", n_gpr = "
 	     HOST_WIDE_INT_PRINT_DEC", n_fpr = "HOST_WIDE_INT_PRINT_DEC"\n",
 	     words, n_gpr, n_fpr);
@@ -10890,9 +10890,9 @@ rs6000_gimplify_va_arg (tree valist, tree type, gimple_seq *pre_p,
      We can return a simplifed answer, since we know there's no offset to add.  */
 
   if (((TARGET_MACHO
-        && rs6000_darwin64_abi)
+        && GCC_OPTION (rs6000_darwin64_abi))
        || DEFAULT_ABI == ABI_ELFv2
-       || (DEFAULT_ABI == ABI_AIX && !rs6000_compat_align_parm))
+       || (DEFAULT_ABI == ABI_AIX && !GCC_OPTION (rs6000_compat_align_parm)))
       && integer_zerop (TYPE_SIZE (type)))
     {
       unsigned HOST_WIDE_INT align, boundary;
@@ -11159,7 +11159,7 @@ def_builtin (const char *name, tree type, enum rs6000_builtins code)
 	 This mimics the ATTR_MATHFN_FPROUNDING attribute in
 	 builtin-attribute.def that is used for the math functions. */
       TREE_NOTHROW (t) = 1;
-      if (flag_rounding_math)
+      if (GCC_OPTION (flag_rounding_math))
 	{
 	  DECL_PURE_P (t) = 1;
 	  DECL_IS_NOVOPS (t) = 1;
@@ -12717,7 +12717,7 @@ altivec_expand_vec_ext_builtin (tree exp, rtx target)
 
   op0 = force_reg (mode0, op0);
 
-  if (optimize || !target || !register_operand (target, tmode))
+  if (GCC_OPTION (optimize) || !target || !register_operand (target, tmode))
     target = gen_reg_rtx (tmode);
 
   rs6000_expand_vector_extract (target, op0, elt);
@@ -13502,7 +13502,7 @@ rs6000_expand_builtin (tree exp, rtx target, rtx subtarget ATTRIBUTE_UNUSED,
   rtx ret;
   bool success;
   HOST_WIDE_INT mask = rs6000_builtin_info[uns_fcode].mask;
-  bool func_valid_p = ((rs6000_builtin_mask & mask) == mask);
+  bool func_valid_p = ((GCC_OPTION (rs6000_builtin_mask) & mask) == mask);
 
   if (TARGET_DEBUG_BUILTIN)
     {
@@ -13956,7 +13956,7 @@ rs6000_builtin_decl (unsigned code, bool initialize_p ATTRIBUTE_UNUSED)
     return error_mark_node;
 
   fnmask = rs6000_builtin_info[code].mask;
-  if ((fnmask & rs6000_builtin_mask) != fnmask)
+  if ((fnmask & GCC_OPTION (rs6000_builtin_mask)) != fnmask)
     {
       rs6000_invalid_builtin ((enum rs6000_builtins)code);
       return error_mark_node;
@@ -14716,7 +14716,7 @@ altivec_init_builtins (void)
 static void
 htm_init_builtins (void)
 {
-  HOST_WIDE_INT builtin_mask = rs6000_builtin_mask;
+  HOST_WIDE_INT builtin_mask = GCC_OPTION (rs6000_builtin_mask);
   const struct builtin_description *d;
   size_t i;
 
@@ -15007,7 +15007,7 @@ rs6000_common_init_builtins (void)
   tree v2si_ftype_qi = NULL_TREE;
   tree v2si_ftype_v2si_qi = NULL_TREE;
   tree v2si_ftype_int_qi = NULL_TREE;
-  HOST_WIDE_INT builtin_mask = rs6000_builtin_mask;
+  HOST_WIDE_INT builtin_mask = GCC_OPTION (rs6000_builtin_mask);
 
   if (!TARGET_PAIRED_FLOAT)
     {
@@ -15227,7 +15227,7 @@ rs6000_init_libfuncs (void)
 {
   if (!TARGET_IEEEQUAD)
       /* AIX/Darwin/64-bit Linux quad floating point routines.  */
-    if (!TARGET_XL_COMPAT)
+    if (!GCC_OPTION (TARGET_XL_COMPAT))
       {
 	set_optab_libfunc (add_optab, TFmode, "__gcc_qadd");
 	set_optab_libfunc (sub_optab, TFmode, "__gcc_qsub");
@@ -15341,9 +15341,9 @@ expand_block_clear (rtx operands[])
   else
     clear_step = 4;
 
-  if (optimize_size && bytes > 3 * clear_step)
+  if (GCC_OPTION (optimize_size) && bytes > 3 * clear_step)
     return 0;
-  if (! optimize_size && bytes > 8 * clear_step)
+  if (! GCC_OPTION (optimize_size) && bytes > 8 * clear_step)
     return 0;
 
   for (offset = 0; bytes > 0; offset += clear_bytes, bytes -= clear_bytes)
@@ -15432,7 +15432,7 @@ expand_block_move (rtx operands[])
   if (bytes <= 0)
     return 1;
 
-  if (bytes > rs6000_block_move_inline_limit)
+  if (bytes > GCC_OPTION (rs6000_block_move_inline_limit))
     return 0;
 
   for (offset = 0; bytes > 0; offset += move_bytes, bytes -= move_bytes)
@@ -15664,7 +15664,7 @@ validate_condition_mode (enum rtx_code code, enum machine_mode mode)
   /* These should never be generated except for
      flag_finite_math_only.  */
   gcc_assert (mode != CCFPmode
-	      || flag_finite_math_only
+	      || GCC_OPTION (flag_finite_math_only)
 	      || (code != LE && code != GE
 		  && code != UNEQ && code != LTGT
 		  && code != UNGT && code != UNLT));
@@ -15909,7 +15909,7 @@ rs6000_secondary_memory_needed_rtx (enum machine_mode mode)
       ret = mem;
     }
 
-  if (TARGET_DEBUG_ADDR)
+  if (GCC_OPTION (TARGET_DEBUG_ADDR))
     {
       fprintf (stderr, "\nrs6000_secondary_memory_needed_rtx, mode %s, rtx:\n",
 	       GET_MODE_NAME (mode));
@@ -16435,7 +16435,7 @@ rs6000_secondary_reload (bool in_p,
 
   gcc_assert (ret != ALL_REGS);
 
-  if (TARGET_DEBUG_ADDR)
+  if (GCC_OPTION (TARGET_DEBUG_ADDR))
     {
       fprintf (stderr,
 	       "\nrs6000_secondary_reload, return %s, in_p = %s, rclass = %s, "
@@ -16507,7 +16507,7 @@ rs6000_secondary_reload_inner (rtx reg, rtx mem, rtx scratch, bool store_p)
   rtx and_rtx;
   rtx cc_clobber;
 
-  if (TARGET_DEBUG_ADDR)
+  if (GCC_OPTION (TARGET_DEBUG_ADDR))
     rs6000_secondary_reload_trace (__LINE__, reg, mem, scratch, store_p);
 
   if (regno < 0 || regno >= FIRST_PSEUDO_REGISTER)
@@ -16558,7 +16558,7 @@ rs6000_secondary_reload_inner (rtx reg, rtx mem, rtx scratch, bool store_p)
 	      && (GET_CODE (addr_op2) != CONST_INT
 		  || !satisfies_constraint_I (addr_op2)))
 	    {
-	      if (TARGET_DEBUG_ADDR)
+	      if (GCC_OPTION (TARGET_DEBUG_ADDR))
 		{
 		  fprintf (stderr,
 			   "\nMove plus addr to register %s, mode = %s: ",
@@ -16583,7 +16583,7 @@ rs6000_secondary_reload_inner (rtx reg, rtx mem, rtx scratch, bool store_p)
 	       && !rs6000_legitimate_offset_address_p (PTImode, addr,
 						       false, true))
 	{
-	  if (TARGET_DEBUG_ADDR)
+	  if (GCC_OPTION (TARGET_DEBUG_ADDR))
 	    {
 	      fprintf (stderr, "\nMove addr to register %s, mode = %s: ",
 		       rs6000_reg_names[REGNO (scratch_or_premodify)],
@@ -16662,7 +16662,7 @@ rs6000_secondary_reload_inner (rtx reg, rtx mem, rtx scratch, bool store_p)
 	  if (!REG_P (addr_op1))
 	    rs6000_secondary_reload_fail (__LINE__, reg, mem, scratch, store_p);
 
-	  if (TARGET_DEBUG_ADDR)
+	  if (GCC_OPTION (TARGET_DEBUG_ADDR))
 	    {
 	      fprintf (stderr, "\nMove plus addr to register %s, mode = %s: ",
 		       rs6000_reg_names[REGNO (scratch)], GET_MODE_NAME (mode));
@@ -16682,7 +16682,7 @@ rs6000_secondary_reload_inner (rtx reg, rtx mem, rtx scratch, bool store_p)
 	       || GET_CODE (addr) == CONST_INT || GET_CODE (addr) == LO_SUM
 	       || REG_P (addr))
 	{
-	  if (TARGET_DEBUG_ADDR)
+	  if (GCC_OPTION (TARGET_DEBUG_ADDR))
 	    {
 	      fprintf (stderr, "\nMove addr to register %s, mode = %s: ",
 		       rs6000_reg_names[REGNO (scratch_or_premodify)],
@@ -16726,7 +16726,7 @@ rs6000_secondary_reload_inner (rtx reg, rtx mem, rtx scratch, bool store_p)
 	  addr = scratch;
 	}
 
-      if (TARGET_DEBUG_ADDR)
+      if (GCC_OPTION (TARGET_DEBUG_ADDR))
 	{
 	  fprintf (stderr, "\nAnd addr to register %s, mode = %s: ",
 		   rs6000_reg_names[REGNO (scratch)], GET_MODE_NAME (mode));
@@ -16749,7 +16749,7 @@ rs6000_secondary_reload_inner (rtx reg, rtx mem, rtx scratch, bool store_p)
   if (addr != XEXP (mem, 0))
     {
       mem = replace_equiv_address_nv (mem, addr);
-      if (TARGET_DEBUG_ADDR)
+      if (GCC_OPTION (TARGET_DEBUG_ADDR))
 	fprintf (stderr, "\nrs6000_secondary_reload_inner, mem adjusted.\n");
     }
 
@@ -16774,7 +16774,7 @@ rs6000_secondary_reload_gpr (rtx reg, rtx mem, rtx scratch, bool store_p)
   rtx addr;
   rtx scratch_or_premodify = scratch;
 
-  if (TARGET_DEBUG_ADDR)
+  if (GCC_OPTION (TARGET_DEBUG_ADDR))
     {
       fprintf (stderr, "\nrs6000_secondary_reload_gpr, type = %s\n",
 	       store_p ? "store" : "load");
@@ -17352,7 +17352,7 @@ rs6000_output_move_128bit (rtx operands[])
 	return output_vec_const_move (operands);
     }
 
-  if (TARGET_DEBUG_ADDR)
+  if (GCC_OPTION (TARGET_DEBUG_ADDR))
     {
       fprintf (stderr, "\n===== Bad 128 bit move:\n");
       debug_rtx (gen_rtx_SET (VOIDmode, dest, src));
@@ -17619,8 +17619,8 @@ rs6000_output_function_entry (FILE *file, const char *fname)
 /* Print an operand.  Recognize special options, documented below.  */
 
 #if TARGET_ELF
-#define SMALL_DATA_RELOC ((rs6000_sdata == SDATA_EABI) ? "sda21" : "sdarel")
-#define SMALL_DATA_REG ((rs6000_sdata == SDATA_EABI) ? 0 : 13)
+#define SMALL_DATA_RELOC ((GCC_OPTION (rs6000_sdata) == SDATA_EABI) ? "sda21" : "sdarel")
+#define SMALL_DATA_REG ((GCC_OPTION (rs6000_sdata) == SDATA_EABI) ? 0 : 13)
 #else
 #define SMALL_DATA_RELOC "sda21"
 #define SMALL_DATA_REG 0
@@ -18458,7 +18458,7 @@ rs6000_reverse_condition (enum machine_mode mode, enum rtx_code code)
   /* Reversal of FP compares takes care -- an ordered compare
      becomes an unordered compare and vice versa.  */
   if (mode == CCFPmode
-      && (!flag_finite_math_only
+      && (!GCC_OPTION (flag_finite_math_only)
 	  || code == UNLT || code == UNLE || code == UNGT || code == UNGE
 	  || code == UNEQ || code == LTGT))
     return reverse_condition_maybe_unordered (code);
@@ -18550,19 +18550,19 @@ rs6000_generate_compare (rtx cmp, enum machine_mode mode)
 	  switch (op_mode)
 	    {
 	    case SFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tstsfeq_gpr (compare_result, op0, op1)
 		: gen_cmpsfeq_gpr (compare_result, op0, op1);
 	      break;
 
 	    case DFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tstdfeq_gpr (compare_result, op0, op1)
 		: gen_cmpdfeq_gpr (compare_result, op0, op1);
 	      break;
 
 	    case TFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tsttfeq_gpr (compare_result, op0, op1)
 		: gen_cmptfeq_gpr (compare_result, op0, op1);
 	      break;
@@ -18577,19 +18577,19 @@ rs6000_generate_compare (rtx cmp, enum machine_mode mode)
 	  switch (op_mode)
 	    {
 	    case SFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tstsfgt_gpr (compare_result, op0, op1)
 		: gen_cmpsfgt_gpr (compare_result, op0, op1);
 	      break;
 
 	    case DFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tstdfgt_gpr (compare_result, op0, op1)
 		: gen_cmpdfgt_gpr (compare_result, op0, op1);
 	      break;
 
 	    case TFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tsttfgt_gpr (compare_result, op0, op1)
 		: gen_cmptfgt_gpr (compare_result, op0, op1);
 	      break;
@@ -18604,19 +18604,19 @@ rs6000_generate_compare (rtx cmp, enum machine_mode mode)
 	  switch (op_mode)
 	    {
 	    case SFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tstsflt_gpr (compare_result, op0, op1)
 		: gen_cmpsflt_gpr (compare_result, op0, op1);
 	      break;
 
 	    case DFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tstdflt_gpr (compare_result, op0, op1)
 		: gen_cmpdflt_gpr (compare_result, op0, op1);
 	      break;
 
 	    case TFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tsttflt_gpr (compare_result, op0, op1)
 		: gen_cmptflt_gpr (compare_result, op0, op1);
 	      break;
@@ -18641,19 +18641,19 @@ rs6000_generate_compare (rtx cmp, enum machine_mode mode)
 	  switch (op_mode)
 	    {
 	    case SFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tstsfeq_gpr (compare_result2, op0, op1)
 		: gen_cmpsfeq_gpr (compare_result2, op0, op1);
 	      break;
 
 	    case DFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tstdfeq_gpr (compare_result2, op0, op1)
 		: gen_cmpdfeq_gpr (compare_result2, op0, op1);
 	      break;
 
 	    case TFmode:
-	      cmp = (flag_finite_math_only && !flag_trapping_math)
+	      cmp = (GCC_OPTION (flag_finite_math_only) && !GCC_OPTION (flag_trapping_math))
 		? gen_tsttfeq_gpr (compare_result2, op0, op1)
 		: gen_cmptfeq_gpr (compare_result2, op0, op1);
 	      break;
@@ -18679,7 +18679,7 @@ rs6000_generate_compare (rtx cmp, enum machine_mode mode)
     {
       /* Generate XLC-compatible TFmode compare as PARALLEL with extra
 	 CLOBBERs to match cmptf_internal2 pattern.  */
-      if (comp_mode == CCFPmode && TARGET_XL_COMPAT
+      if (comp_mode == CCFPmode && GCC_OPTION (TARGET_XL_COMPAT)
 	  && GET_MODE (op0) == TFmode
 	  && !TARGET_IEEEQUAD
 	  && TARGET_HARD_FLOAT && TARGET_FPRS && TARGET_LONG_DOUBLE_128)
@@ -18716,7 +18716,7 @@ rs6000_generate_compare (rtx cmp, enum machine_mode mode)
   /* Some kinds of FP comparisons need an OR operation;
      under flag_finite_math_only we don't bother.  */
   if (FLOAT_MODE_P (mode)
-      && !flag_finite_math_only
+      && !GCC_OPTION (flag_finite_math_only)
       && !(TARGET_HARD_FLOAT && !TARGET_FPRS)
       && (code == LE || code == GE
 	  || code == UNEQ || code == LTGT
@@ -18945,7 +18945,7 @@ output_cbranch (rtx op, const char *label, int reversed, rtx insn)
 	 assume not taken for branches that are very close to 50% as a
 	 mispredicted taken branch is more expensive than a
 	 mispredicted not-taken branch.  */
-      if (rs6000_always_hint
+      if (GCC_OPTION (rs6000_always_hint)
 	  || (abs (prob) > REG_BR_PROB_BASE / 100 * 48
 	      && br_prob_note_reliable_p (note)))
 	{
@@ -19294,7 +19294,7 @@ rs6000_emit_cmove (rtx dest, rtx op, rtx true_cond, rtx false_cond)
      of the construct is zero, since then no subtract will be
      generated.  */
   if (SCALAR_FLOAT_MODE_P (compare_mode)
-      && flag_trapping_math && ! is_against_zero)
+      && GCC_OPTION (flag_trapping_math) && ! is_against_zero)
     return 0;
 
   /* Eliminate half of the comparisons by switching operands, this
@@ -20327,14 +20327,14 @@ first_reg_to_save (void)
       break;
 
   if (first_reg > RS6000_PIC_OFFSET_TABLE_REGNUM
-      && ((DEFAULT_ABI == ABI_V4 && flag_pic != 0)
-	  || (DEFAULT_ABI == ABI_DARWIN && flag_pic)
+      && ((DEFAULT_ABI == ABI_V4 && GCC_OPTION (flag_pic) != 0)
+	  || (DEFAULT_ABI == ABI_DARWIN && GCC_OPTION (flag_pic))
 	  || (TARGET_TOC && TARGET_MINIMAL_TOC))
       && df_regs_ever_live_p (RS6000_PIC_OFFSET_TABLE_REGNUM))
     first_reg = RS6000_PIC_OFFSET_TABLE_REGNUM;
 
 #if TARGET_MACHO
-  if (flag_pic
+  if (GCC_OPTION (flag_pic)
       && crtl->uses_pic_offset_table
       && first_reg > RS6000_PIC_OFFSET_TABLE_REGNUM)
     return RS6000_PIC_OFFSET_TABLE_REGNUM;
@@ -20560,7 +20560,7 @@ rs6000_savres_strategy (rs6000_stack_t *info,
   /* Define cutoff for using out-of-line functions to save registers.  */
   if (DEFAULT_ABI == ABI_V4 || TARGET_ELF)
     {
-      if (!optimize_size)
+      if (!GCC_OPTION (optimize_size))
 	{
 	  strategy |= SAVE_INLINE_FPRS | REST_INLINE_FPRS;
 	  strategy |= SAVE_INLINE_GPRS | REST_INLINE_GPRS;
@@ -20856,8 +20856,8 @@ rs6000_stack_info (void)
      get at a constant; if so, it will have already created a constant
      pool entry for it.  */
   if (((TARGET_TOC && TARGET_MINIMAL_TOC)
-       || (flag_pic == 1 && DEFAULT_ABI == ABI_V4)
-       || (flag_pic && DEFAULT_ABI == ABI_DARWIN))
+       || (GCC_OPTION (flag_pic) == 1 && DEFAULT_ABI == ABI_V4)
+       || (GCC_OPTION (flag_pic) && DEFAULT_ABI == ABI_DARWIN))
       && crtl->uses_const_pool
       && info_ptr->first_gp_reg_save > RS6000_PIC_OFFSET_TABLE_REGNUM)
     first_gp = RS6000_PIC_OFFSET_TABLE_REGNUM;
@@ -20955,7 +20955,7 @@ rs6000_stack_info (void)
   else
     info_ptr->vrsave_mask = 0;
 
-  if (TARGET_ALTIVEC_VRSAVE && info_ptr->vrsave_mask)
+  if (GCC_OPTION (TARGET_ALTIVEC_VRSAVE) && info_ptr->vrsave_mask)
     info_ptr->vrsave_size  = 4;
   else
     info_ptr->vrsave_size  = 0;
@@ -21126,7 +21126,7 @@ rs6000_stack_info (void)
   else if (frame_pointer_needed)
     info_ptr->push_p = 1;
 
-  else if (TARGET_XCOFF && write_symbols != NO_DEBUG)
+  else if (TARGET_XCOFF && GCC_OPTION (write_symbols) != NO_DEBUG)
     info_ptr->push_p = 1;
 
   else
@@ -21143,7 +21143,7 @@ rs6000_stack_info (void)
     info_ptr->altivec_save_offset = 0;
 
   /* Zero VRSAVE offset if not saved and restored.  */
-  if (! TARGET_ALTIVEC_VRSAVE || info_ptr->vrsave_mask == 0)
+  if (! GCC_OPTION (TARGET_ALTIVEC_VRSAVE) || info_ptr->vrsave_mask == 0)
     info_ptr->vrsave_save_offset = 0;
 
   if (! TARGET_SPE_ABI
@@ -21347,7 +21347,7 @@ rs6000_return_addr (int count, rtx frame)
      code and for PIC code the code can be actually quite bad, so
      don't try to be too clever here.  */
   if (count != 0
-      || ((DEFAULT_ABI == ABI_V4 || DEFAULT_ABI == ABI_DARWIN) && flag_pic))
+      || ((DEFAULT_ABI == ABI_V4 || DEFAULT_ABI == ABI_DARWIN) && GCC_OPTION (flag_pic)))
     {
       cfun->machine->ra_needs_full_frame = 1;
 
@@ -21382,7 +21382,7 @@ rs6000_function_ok_for_sibcall (tree decl, tree exp)
   /* We can't do it if the called function has more vector parameters
      than the current function; there's nowhere to put the VRsave code.  */
   if (TARGET_ALTIVEC_ABI
-      && TARGET_ALTIVEC_VRSAVE
+      && GCC_OPTION (TARGET_ALTIVEC_VRSAVE)
       && !(decl && decl == current_function_decl))
     {
       function_args_iterator args_iter;
@@ -21418,7 +21418,7 @@ rs6000_function_ok_for_sibcall (tree decl, tree exp)
 	  && (*targetm.binds_local_p) (decl))
       || (DEFAULT_ABI == ABI_V4
 	  && (!TARGET_SECURE_PLT
-	      || !flag_pic
+	      || !GCC_OPTION (flag_pic)
 	      || (decl
 		  && (*targetm.binds_local_p) (decl)))))
     {
@@ -21495,7 +21495,7 @@ rs6000_emit_load_toc_table (int fromprolog)
   rtx dest;
   dest = gen_rtx_REG (Pmode, RS6000_PIC_OFFSET_TABLE_REGNUM);
 
-  if (TARGET_ELF && TARGET_SECURE_PLT && DEFAULT_ABI == ABI_V4 && flag_pic)
+  if (TARGET_ELF && TARGET_SECURE_PLT && DEFAULT_ABI == ABI_V4 && GCC_OPTION (flag_pic))
     {
       char buf[30];
       rtx lab, tmp1, tmp2, got;
@@ -21503,7 +21503,7 @@ rs6000_emit_load_toc_table (int fromprolog)
       lab = gen_label_rtx ();
       ASM_GENERATE_INTERNAL_LABEL (buf, "L", CODE_LABEL_NUMBER (lab));
       lab = gen_rtx_SYMBOL_REF (Pmode, ggc_strdup (buf));
-      if (flag_pic == 2)
+      if (GCC_OPTION (flag_pic) == 2)
 	got = gen_rtx_SYMBOL_REF (Pmode, toc_label_name);
       else
 	got = rs6000_got_sym ();
@@ -21518,12 +21518,12 @@ rs6000_emit_load_toc_table (int fromprolog)
       emit_insn (gen_load_toc_v4_PIC_3b (tmp2, tmp1, got, lab));
       emit_insn (gen_load_toc_v4_PIC_3c (dest, tmp2, got, lab));
     }
-  else if (TARGET_ELF && DEFAULT_ABI == ABI_V4 && flag_pic == 1)
+  else if (TARGET_ELF && DEFAULT_ABI == ABI_V4 && GCC_OPTION (flag_pic) == 1)
     {
       emit_insn (gen_load_toc_v4_pic_si ());
       emit_move_insn (dest, gen_rtx_REG (Pmode, LR_REGNO));
     }
-  else if (TARGET_ELF && DEFAULT_ABI == ABI_V4 && flag_pic == 2)
+  else if (TARGET_ELF && DEFAULT_ABI == ABI_V4 && GCC_OPTION (flag_pic) == 2)
     {
       char buf[30];
       rtx temp0 = (fromprolog
@@ -21558,7 +21558,7 @@ rs6000_emit_load_toc_table (int fromprolog)
 	}
       emit_insn (gen_addsi3 (dest, temp0, dest));
     }
-  else if (TARGET_ELF && !TARGET_AIX && flag_pic == 0 && TARGET_MINIMAL_TOC)
+  else if (TARGET_ELF && !TARGET_AIX && GCC_OPTION (flag_pic) == 0 && TARGET_MINIMAL_TOC)
     {
       /* This is for AIX code running in non-PIC ELF32.  */
       char buf[30];
@@ -21671,7 +21671,7 @@ create_TOC_reference (rtx symbol, rtx largetoc_reg)
 {
   rtx tocrel, tocreg, hi;
 
-  if (TARGET_DEBUG_ADDR)
+  if (GCC_OPTION (TARGET_DEBUG_ADDR))
     {
       if (GET_CODE (symbol) == SYMBOL_REF)
 	fprintf (stderr, "\ncreate_TOC_reference, (symbol_ref %s)\n",
